<?php include_once 'codebase/hyperframe.php' ?>
<!doctype html>
<html>
<head>
   <TITLE>A file-based CMS with live page editing</TITLE>
   <META NAME="description"  CONTENT="Hyperframe integrates conventional HTML files into a managed framework with cascading top or side menus, banners, footers or other dynamic content">
   <META NAME="keywords" CONTENT="CMS, file based, flatfile, CKEditor, web frontend, ">
   <META NAME="hf_frame" CONTENT="">
   <META NAME="hf_menu" CONTENT="">
   <META NAME="hf_hide" CONTENT="">
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; utf-8">
   <link rel=stylesheet href="codebase/standalone.css" type="text/css">
</head>

<body>
<h1>Hyperframe !CMS</h1>

<h3>A file-based CMS which uses standard HTML markup</h3>

<p>Hyperframe integrates conventional HTML files into a managed framework with cascading top or side menus, banners, footers or other dynamic content.</p>

<table align="center" border="0" cellpadding="1" cellspacing="1" style="width: 98%; text-align: center;">
  <tbody>
    <tr>
      <td><img alt="" onclick="hf_imgzoom_popup(this.src)" src="img/editing/gallery2.jpg" style="width: 200px; height: 142px; margin-top: 10px; margin-bottom: 10px; border-width: 1px; border-style: solid;" /></td>
      <td><img alt="" onclick="hf_imgzoom_popup(this.src)" src="img/editing/menueditor.png" style="width: 221px; height: 138px; margin-top: 10px; margin-bottom: 10px; border-width: 1px; border-style: solid;" /></td>
      <td><img alt="" onclick="hf_imgzoom_popup(this.src)" src="img/editing/contact.jpg" style="width: 200px; height: 138px; margin-top: 10px; margin-bottom: 10px; border-width: 1px; border-style: solid;" /></td>
    </tr>
  </tbody>
</table>

<p>Recently, there has been a surge of interest in <em>file based</em> Web content management systems. These differ from the mainstream products such as Joomla! or Wordpress, in that they do not store the webpages in an SQL database, but instead store them as disk files. The advantages conferred by this arrangement are greater speed, security and simplicity, plus portability - The transfer of a website from one hosting service&nbsp; to another of similar specification often involves no more than simply copying the files over.&nbsp;</p>

<div style="margin:20px auto;width:80%;border:2px solid gray;border-radius:15px;padding:10px 20px;">
<p><strong>What can I do with Hyperframe, that might be useful to me?&nbsp;</strong></p>

<ul>
  <li>Build a website with modern features such as banners, cascading menus, contact forms, galleries, stylesheets, etc&nbsp;</li>
  <li>Do this<em> without</em> involving the security weaknesses of a database&nbsp;</li>
  <li>Do this<em> without</em> the labyrinthine complexity of a big box CMS&nbsp;</li>
  <li>Add or edit pages online, using only a standard browser&nbsp;</li>
  <li>Import existing legacy webpages into a more modern framework</li>
  <li>Create portable websites, which are easily transferable between host servers &nbsp;</li>
  <li>Exercise your creativity, with almost unlimited control over what you put in your pages</li>
  <li>Back up your site dependably (If you have the files on a disk... you have the website)</li>
</ul>

<p style="margin-left: 40px;">&nbsp;<a href="http://hyperframe.esy.es?login=guest" target="_blank" title="Hyperframe live demo site">Test drive</a> available. Log in with guest. All functions available except save.</p>
</div>

<p>The majority of file-based CMS require that the files containing the webpage information are written in a special&nbsp;code known as <em>markdown</em> syntax. Thus, whilst significantly easier to set up than the database-backed variety of CMS, the importing of a website to these still requires a good deal of rewriting or data conversion. Hyperframe, by contrast, uses the industry standard and very familiar HTML syntax. Thus with Hyperframe, importing of existing static websites is very straightforward, and there is no need to spend additional time learning another unfamiliar syntax. If you understand HTML, you can use Hyperframe effectively.</p>

<p>The provision of a very intuitive, wordprocessor-like online editor also makes Hyperframe easy to use for persons who only wish to edit or add page text, without having to get involved in the technicalities. In view of these features, we think you will find Hyperframe to be one of the best file-based CMS currently on offer.</p>

<p>The storage of your webpages in conventional files is an instance of &#39;<em>understandable technology</em>&#39; -You know where on disk your pages are stored, what format the information is in, and can examine, edit, copy or back them up as required, all with standard tools. This also makes the import of existing static sites very easy, in some cases merely copying the files over and adding menu items is all that is required. Packages of this file based type are sometimes known as a <em>flatfile CMS</em>, although that term does not necessarily indicate that all webpages have to be in the same folder/directory, rather it indicates the distinction from relational database storage.</p>

<p>Aimed at the Web professional building sites for commercial clients or the more experienced enthusiast, configuration is by direct editing of settings. Here, you won&#39;t find the endless pages of options and tickboxes present in mainstream database-backed CMS. What you will find is a concise set of config options which are easy to understand, and quick to set by way of straightforward text files. This makes for a small, fast core system whilst allowing great flexibility.</p>

<p>Pages may be created online with the integrated copy of CKEditor, or created locally and uploaded by FTP. This gives great flexibility to work in either traditional local data storage or centralised-storage environments. This also enables the commercial designer to permit controlled updating of the site by the client, thus saving on professional maintenance work. A rollback facility allows the webmaster to recover from mistakes made by self-updating clients.</p>

<p>PHP and javascript can be directly incorporated into both templates and pages, even if those pages are to be edited online.</p>

<p>Cascading menus and ajax make for an efficient site navigation experience with few page reloads. This is an area&nbsp; we&#39;ve spent a good deal of effort on, clear and fast navigation being&nbsp;critical to a positive visitor experience of any site. The design objective here is to provide a menu system which caters for almost all page-linking needs, which shows the visitor clearly their location in the site structure, and which avoid tedious repeated page reloads to get to a destination.</p>

<p>As on any well-prepared website, stylesheets and page text are separated, such that the webdesigner can make a full range of customizations to the site appearance without having to rewrite pages. Multiple, visitor-selectable frames (the equivalent of a template in mainstream CMS)&nbsp; are possible, making for easy testing and demonstration of styling options to clients.</p>

<p>As far as possible we have used straightforward procedural code in writing Hyperframe. We <em>have</em> used object oriented code in some places where it offered a clear advantage, but for the most part we have&nbsp; kept to traditional coding methods on the basis that this keeps the system code lucid and easy to modify, should that be required for a specific application.</p>

<p>File-based storage also&nbsp;eliminates one of the major security issues of database-driven CMS, namely that if the coder omits to &#39;sanitize&#39; user-entered data of SQL programming instructions in just one single place of the many such places in a major project, then the site is open to hacking.&nbsp; When no database is involved, code injection hacks are quite simply not available to exploit.</p>

<p>The focus in Hyperframe is on providing core functions which work well and provide a good browsing experience for the visitor, rather than on providing a large number of value-added functions. Since Hyperframe pages can in any case include standard php or javascript code, this opens the way to incorporate any of a vast array of free applications into your site, without having to restrict yourself to those coded only for use within a specific CMS.</p>

<p><a href="http://sourceforge.net/projects/hyperframe" target="_blank">Sourceforge project, help and downloads</a>.</p>

<p class="brbr"><strong>Requires: Apache 2.x webserver with php5.2 or later.</strong></p>

</body>
</html>